local fn = _gn(0xEC6935EBE0847B90)
--- When this ped receives its next script task, they will exit from their scenario using the normal scenario exit.
-- Exiting the scenario may take several frames while the ped is playing the exit animation.
-- If the ped is not currently using a scenario at the time of the command or 0,0,0 is specified as the reaction position,
-- then the ped will by default attempt to direct their exit forwards.
-- @param ped the ped who should play a normal (unhurried) exit the next time they are given a script command.
-- @param x X Coordinate.
-- @param y Y Coordinate.
-- @param z Z Coordinate.
-- @return Returns true if the position was successfully set.
function Global.SetPedShouldPlayDirectedScenarioExit(ped, x, y, z)
	return fn(ped, x, y, z, _r)
end
